1. Statistics
Analytics
  • Docs
  • Auth
    • /v2/auth/token
      GET
  • Activity Log
    • /v2/activity-log
      GET
    • /v2/activity-log
      DELETE
    • /v2/activity-log/csv
      GET
    • /v2/activity-log/realtime
      GET
  • Data Availability
    • /v2/data-availability
      GET
  • Statistics
    • /v2/statistic/timeseries
      GET
    • /v2/statistic/timeseries/{group}
      GET
    • /v2/statistic/count
      GET
    • /v2/statistic/count/{group}
      GET
    • /v2/statistic/trend/{group}
      GET
  • Admin Actions
    • /v2/admin-action
      GET
  • Clients
    • /v2/client
      GET
    • /v2/client
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      DELETE
    • /v2/client/alias/{endpointId}/{clientId}
      PUT
  • Schemas
    • Column
    • DeleteClientResponse
    • GetAdminActionLogResponse
    • CountGroupResponse
    • GetClientResponse
    • AdminActionLogItem
    • GeoIPData
    • QueryData
    • PaginationData
    • ClientActivity
    • TrendResponse
    • CountResponse
    • TimeSeriesGroupResponse
    • TimeSeriesResponse
    • ErrorResponse
    • Trigger
    • Datetime
    • DataAvailability
    • HistoricalQueriesResponse
    • IP
    • Domain
  1. Statistics

/v2/statistic/trend/{group}

https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
https://us-east1-org01.analytics.controld.com
GET
/v2/statistic/trend/{group}
Counts queries in the specified interval, grouped by {group}, compared to a specified baseline interval.
The default interval (startTime, endTime) is [now() - 1 day, now()].
The default base interval (baselineStartTime, baselineEndTime) is [startTime - (endTime - startTime), startTime].
In other words, the default interval is the last day, and the default baseline interval is the day before. If you
change the interval, but not the base interval, the baseInterval will be automatically computed to match.
The default sort order is desc, returning the groups with the highest data first if limit is reached.
Sort order is desc by default, getting data with highest count first if limit is reached.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
OK
Body

🟠400BadRequest
🟠401Unauthorized
🔴500InternalServerError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://us-east1-org01.analytics.controld.com/v2/statistic/trend/action?baselineStartTime&baselineEndTime&startTime&endTime&limit&endpointId[]&clientId[]&action[]&trigger[]&triggerValue[]&spoofTarget[]&question[]&searchQuestion&searchQuestionMode&profileId[]&protocol[]&statusCode[]&rrType[]&srcCountry[]&dstCountry[]&dstAsn[]&srcAsn[]&dstIsp[]&srcIsp[]&sortOrder' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Example 1
{
    "success": true,
    "body": {
        "startTime": "2025-02-07T13:20:47.214Z",
        "endTime": "2025-02-07T13:20:47.214Z",
        "baselineStartTime": "2025-02-07T13:20:47.214Z",
        "baselineEndTime": "2025-02-07T13:20:47.214Z",
        "groups": [
            {
                "group": "string",
                "baseline": 0,
                "current": 0
            }
        ]
    }
}
Modified at 2026-03-31 19:19:32
Previous
/v2/statistic/count/{group}
Next
/v2/admin-action
Built with